Label

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Label

Widget to display text, with simple html-like markup. More...

## Functions
EINA_DEPRECATED void | elm_label_slide_set (Evas_Object *obj, Eina_Bool slide)
| Set slide effect of label widget. More...
EINA_DEPRECATED Eina_Bool | elm_label_slide_get (const Evas_Object *obj)
| Get whether slide effect is shown or not. More...
Evas_Object * | elm_label_add (Evas_Object *parent)
| Add a new label to the parent. More...

## Detailed Description

Widget to display text, with simple html-like markup.

The Label widget doesn't allow text to overflow its boundaries, if the text doesn't fit the geometry of the label it will be ellipsized or be cut. Elementary provides several styles for this widget:

- default - No animation
- marker - Centers the text in the label and makes it bold by default
- slide_long - The entire text appears from the right of the screen and slides until it disappears in the left of the screen(reappearing on the right again).
- slide_short - The text appears in the left of the label and slides to the right to show the overflow. When all of the text has been shown the position is reset.
- slide_bounce - The text appears in the left of the label and slides to the right to show the overflow. When all of the text has been shown the animation reverses, moving the text to the left.

Custom themes can of course invent new markup tags and style them any way they like.

This widget inherits from the Layout one, so that all the functions acting on it also work for label objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"language,changed"`: The program's language changed.
- `"slide,end"`: The slide is end.

See Label example for a demonstration of how to use a label widget.

## Function Documentation

Evas_Object* elm_label_add | ( | Evas_Object * | parent | ) |

Add a new label to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

EINA_DEPRECATED Eina_Bool elm_label_slide_get | ( | const Evas_Object * | obj | ) |

Get whether slide effect is shown or not.

Parameters

  obj | The label object

Returns
  If true, slide effect is shown.

See also
  elm_label_slide_set()

Deprecated:
  see elm_label_slide_mode_get() instead.

EINA_DEPRECATED void elm_label_slide_set | ( | Evas_Object * | obj,
|  | Eina_Bool | slide
| ) |  |

Set slide effect of label widget.

Parameters

  obj | The label object
  slide | If true, slide effect will be shown

If set to true, the text of the label will slide/scroll through the length of label.

Warning
  This only works with the themes "slide_short", "slide_long" and "slide_bounce".
  This doesn't work if the line wrap(elm_label_line_wrap_set()) or ellipsis(elm_label_ellipsis_set()) is set.

Deprecated:
  see elm_label_slide_mode_set() instead.